summaryrefslogtreecommitdiffstats
path: root/test/run_mambo_boot_test.sh
diff options
context:
space:
mode:
authorStewart Smith <stewart@linux.vnet.ibm.com>2016-07-12 18:59:27 +1000
committerStewart Smith <stewart@linux.vnet.ibm.com>2016-07-12 19:18:28 +1000
commit2ceb8b8c0ac53a9014e83d12e1c758d5f9e07fe6 (patch)
treea279bac9a77c903c7c1cd2bf2abc87d6a2d856c1 /test/run_mambo_boot_test.sh
parent68b4d66bdad8bc036073d1a4cbc26e94cdaf908a (diff)
downloadblackbird-skiboot-2ceb8b8c0ac53a9014e83d12e1c758d5f9e07fe6.tar.gz
blackbird-skiboot-2ceb8b8c0ac53a9014e83d12e1c758d5f9e07fe6.zip
make check: make test runs less noisy
Run a small wrapper around some unit tests with the QTEST makefile macro (QTEST=Quiet TEST). Also, wrap boot tests in mambo and qemu to be quiet by default. Both ./test/run.sh and the modified mambo/qemu test runner scripts output full stdout and stderr in the event of error. Signed-off-by: Stewart Smith <stewart@linux.vnet.ibm.com>
Diffstat (limited to 'test/run_mambo_boot_test.sh')
-rwxr-xr-xtest/run_mambo_boot_test.sh18
1 files changed, 16 insertions, 2 deletions
diff --git a/test/run_mambo_boot_test.sh b/test/run_mambo_boot_test.sh
index 8ae7fdab..f3984778 100755
--- a/test/run_mambo_boot_test.sh
+++ b/test/run_mambo_boot_test.sh
@@ -41,6 +41,10 @@ fi
OLD_ULIMIT_C=`ulimit -c`
ulimit -c 0
+t=$(tempfile) || exit 1
+
+trap "rm -f -- '$t'" EXIT
+
( cd external/mambo;
cat <<EOF | expect
set timeout 600
@@ -53,7 +57,17 @@ eof { send_user "\nUnexpected EOF\n;" exit 1 }
wait
exit 0
EOF
-)
+) 2>&1 > $t
+
+r=$?
+if [ $r != 0 ]; then
+ cat $t
+ exit $r
+fi
+
ulimit -c $OLD_ULIMIT_C
+
echo
-exit 0;
+rm -f -- "$t"
+trap - EXIT
+exit 0
OpenPOWER on IntegriCloud